

# StartCodeRemediation
<a name="API_StartCodeRemediation"></a>

Initiates code remediation for one or more security findings. This creates pull requests in integrated repositories to fix the identified vulnerabilities.

## Request Syntax
<a name="API_StartCodeRemediation_RequestSyntax"></a>

```
POST /StartCodeRemediation HTTP/1.1
Content-type: application/json

{
   "agentSpaceId": "string",
   "findingIds": [ "string" ],
   "pentestJobId": "string"
}
```

## URI Request Parameters
<a name="API_StartCodeRemediation_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_StartCodeRemediation_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [agentSpaceId](#API_StartCodeRemediation_RequestSyntax) **   <a name="securityagent-StartCodeRemediation-request-agentSpaceId"></a>
The unique identifier of the agent space.  
Type: String  
Required: Yes

 ** [findingIds](#API_StartCodeRemediation_RequestSyntax) **   <a name="securityagent-StartCodeRemediation-request-findingIds"></a>
The list of finding identifiers to initiate code remediation for.  
Type: Array of strings  
Required: Yes

 ** [pentestJobId](#API_StartCodeRemediation_RequestSyntax) **   <a name="securityagent-StartCodeRemediation-request-pentestJobId"></a>
The unique identifier of the pentest job that produced the findings.  
Type: String  
Required: Yes

## Response Syntax
<a name="API_StartCodeRemediation_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_StartCodeRemediation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_StartCodeRemediation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

## See Also
<a name="API_StartCodeRemediation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/securityagent-2025-09-06/StartCodeRemediation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/securityagent-2025-09-06/StartCodeRemediation) 